Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1277723 - [abrt] glade: on_data_incoming(): glade-previewer killed by SIGSEGV
Summary: [abrt] glade: on_data_incoming(): glade-previewer killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glade
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c502c45033074d095b3adb7fa3e...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-11-03 22:37 UTC by Christian Stadelmann
Modified: 2016-08-31 23:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 23:05:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-11-03 22:37 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: exploitable (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: maps (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: open_fds (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2015-11-03 22:38 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2015-11-03 22:37:54 UTC
Version-Release number of selected component:
glade-3.19.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/glade-previewer --listen --toplevel transaction-results --filename /home/christian/.local/src/yumex-dnf/src/yumex.ui
crash_function: on_data_incoming
executable:     /usr/bin/glade-previewer
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Comment 1 Christian Stadelmann 2015-11-03 22:37:59 UTC
Created attachment 1089238 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-11-03 22:38:01 UTC
Created attachment 1089239 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2015-11-03 22:38:03 UTC
Created attachment 1089240 [details]
File: dso_list

Comment 4 Christian Stadelmann 2015-11-03 22:38:04 UTC
Created attachment 1089241 [details]
File: exploitable

Comment 5 Christian Stadelmann 2015-11-03 22:38:06 UTC
Created attachment 1089242 [details]
File: limits

Comment 6 Christian Stadelmann 2015-11-03 22:38:08 UTC
Created attachment 1089243 [details]
File: maps

Comment 7 Christian Stadelmann 2015-11-03 22:38:09 UTC
Created attachment 1089244 [details]
File: open_fds

Comment 8 Christian Stadelmann 2015-11-03 22:38:11 UTC
Created attachment 1089245 [details]
File: proc_pid_status

Comment 9 Christian Stadelmann 2015-12-09 16:05:06 UTC
Another user experienced a similar problem:

Steps to reproduce:
1. open glade on a gnome+wayland session
2. build some ui
3. preview UI
4. focus ui by clicking on window header or GtkHeaderBar

What happens:
Window is constantly increasing its width and height until it crashes and takes gnome-shell with it.

What should happen:
No reason to resize window, so don't resize window

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/glade-previewer --listen --toplevel applicationwindow1 --filename /path/to/some/glade/file.ui
crash_function: on_data_incoming
executable:     /usr/bin/glade-previewer
kernel:         4.2.6-301.fc23.x86_64
package:        glade-3.19.0-3.fc23
reason:         glade-previewer killed by SIGSEGV
runlevel:       N 5
type:           CCpp

Comment 10 Matthias Clasen 2016-08-31 23:05:39 UTC
No longer happening, as far as I can see


Note You need to log in before you can comment on or make changes to this bug.